List all roles configured on DD.
---
# NotaBLE és la col·laboració entre Gwido i el Workspace educatiu DD.
#
# És un projecte de Xnet, IsardVDI, Gwido i Taller de Músics,
# guanyador de la Ciutat Proactiva 2021, suport a la innovació urbana de
# la Fundació BitHabitat.

definitions:
  Role:
    type: object
    properties:
      keycloak_id:
        type: string
        format: uuid
      id:
        type: string
      name:
        type: string
      description:
        type: string
  Roles:
    type: array
    items:
      $ref: '#/definitions/Role'
responses:
  200:
    description: The list of roles configured on DD
    schema:
      $ref: '#/definitions/Roles'
    examples: |
      [{
        "keycloak_id": "f6ec2bda-bec9-415f-bcb7-f5ae644bfec5",
        "id": "ID",
        "name": "NAME",
        "description": "DESCRIPITON",
      }]
